#!/usr/bin/python

import sys
import os
import re

const_list = ""

with open("../Classes/lib/sound/SE.h") as in_file:
	for line in in_file:
		if line == "":
			continue

		line = line.replace("#define", "").replace("(", "").replace(")", "").rstrip("\r\n")
		tokens = line.split(None, 2)
		
		if len(tokens) != 3:
			continue;

		enum = tokens[0]
		que_no = tokens[1]
		comments = tokens[2]

		if enum[:3] != "CRI":
			continue

		const_list += "		{{ \"{0}\", {1}, SE_COMMON }}, {2}\n".format(enum, que_no, comments)

print const_list

with open("../Classes/scene/test/SoundTestConst.cpp", "w") as out_file:
	out_file.write("/** THIS FILE IS AUTO GENERATED FROM projects/Lapis/Resources/split_cound_const.py. **/\n")
	out_file.write("/** PLEASE RE-RUN THE SCRIPT EVERYTIME SE.h IS UPDATED. **/\n")
	out_file.write("#ifdef DEBUG\n")
	out_file.write(const_list)
	out_file.write("#endif")